// RegDocMgr.h: interface for the CRegDocMgr class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGDOCMGR_H)
#define AFX_REGDOCMGR_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CRegDocMgr : public CDocManager  
{

DECLARE_DYNAMIC(CRegDocMgr)

public:
	CRegDocMgr();
	~CRegDocMgr();

	// called from MRU files on menu bar
	CDocument* OpenDocumentFile(LPCTSTR lpszFileName);

	// called by Open/SaveAs routines
	BOOL DoPromptFileName(CString& fileName, UINT nIDSTitle, DWORD lFlags, BOOL bOpenFileDialog, CDocTemplate* pTemplate);

	// access functions
	CString GetInitialMRUD() {return m_strInitialMRUD.IsEmpty() ? (CString)"" : m_strInitialMRUD;}
	CString GetCurrentMRUD() {return m_strMRUD.IsEmpty() ? (CString)"" : m_strMRUD;}
	CString SetMRUD(CString csFileName); // MRU file

private:
  CString m_strInitialMRUD;
  CString m_strMRUD;
};

#endif // !defined(AFX_REGDOCMGR_H)
